Subject: Re: bug#75926: 31.0.50; Cygw32 build break

From: Eli Zaretskii <[email-masked]>
Date: Thu, 30 Jan 2025 12:44:33 +0200

> Date: Thu, 30 Jan 2025 19:13:49 +0900
> From: Kazuhiro Ito <[email-masked]>
> Cc: [email-masked]
> 
> > > Cygw32 build fails on  master.
> > > 
> > > $ make
> > > (snip)
> > > Loading term/w32-win...
> > > 
> > > Error: void-variable (tree-sitter--library-abi)
> > > (snip)
> > > 
> > > tree-sitter--library-abi is defined in src/treesit.c only when native
> > > Windows build.
> > 
> > Thanks, should be fixed now.
> 
> Thank you for the quick fix, though I wonder cygw32 build needs
> tree-sitter--library-abi.  The variable is used to adjust
> dynamic-library-alist's value, whcih doesn't seem to be used on cygw32
> build.

I know, but the problem is the Cygw32 build loads w32-win.el, where
this data structure is defined.  And all the other variables and
functions used in that structure's value are defined using HAVE_NTGUI
as the condition, so I just did the same for this case.

We should probably split w32-win.el into two parts, one loaded by both
the native Windows and Cygw32 builds, the other only by the former.
But I don't know enough about the Cygw32 build and it needs, and don't
have Cygwin installed to build it in the first place, so I'm not the
best person for doing that job.  Maybe Ken (CC'ed) has comments or
suggestions on this.